For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
          • V3
              • GETList Customers
              • POSTCreate Customers
              • PUTUpdate Customers
              • DELDelete Customers
          • V2
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementCustomersV3

Update Customers

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/customers
PUT
/stores/:store_hash/v3/customers
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/customers \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": 12345
> }
>]'
1{
2 "data": [
3 {
4 "email": "jane.doe@example.com",
5 "first_name": "Jane",
6 "last_name": "Doe",
7 "company": "Doe Enterprises",
8 "phone": "+1-555-123-4567",
9 "registration_ip_address": "203.0.113.42",
10 "notes": "Preferred customer with VIP status.",
11 "tax_exempt_category": "Non-Profit",
12 "customer_group_id": 5,
13 "id": 12345,
14 "date_modified": "2024-01-15T09:30:00Z",
15 "date_created": "2023-11-20T14:22:00Z",
16 "address_count": 2,
17 "attribute_count": 3,
18 "authentication": {
19 "force_password_reset": false
20 },
21 "addresses": [
22 {
23 "first_name": "Jane",
24 "last_name": "Doe",
25 "address1": "123 Maple Street",
26 "city": "Springfield",
27 "state_or_province": "IL",
28 "postal_code": "62704",
29 "country_code": "US",
30 "customer_id": 12345,
31 "id": 9876,
32 "company": "Doe Enterprises",
33 "address2": "Suite 400",
34 "phone": "+1-555-123-4567",
35 "address_type": "residential",
36 "country": "United States",
37 "form_fields": [
38 {
39 "name": "delivery_instructions",
40 "value": "Leave package at front door"
41 }
42 ]
43 }
44 ],
45 "attributes": [
46 {
47 "attribute_id": 2,
48 "attribute_value": "Yes",
49 "customer_id": 12345,
50 "date_created": "2023-11-20T14:22:00Z",
51 "date_modified": "2024-01-10T08:15:00Z",
52 "id": 4567
53 }
54 ],
55 "form_fields": [
56 {
57 "name": "preferred_contact_method",
58 "value": "email",
59 "customer_id": 12345
60 }
61 ],
62 "store_credit_amounts": [
63 {
64 "amount": 150.75
65 }
66 ],
67 "accepts_product_review_abandoned_cart_emails": true,
68 "origin_channel_id": 2,
69 "channel_ids": [
70 1,
71 3
72 ]
73 }
74 ],
75 "meta": {}
76}
Updates Customers. Subresource updates are not supported. **Required Fields** * id -- ID of the *Customer* This must be included in the request body **Read Only Fields** * id * registration_ip_address * date_created * date_modified * origin_channel_id **Limits** * Limit of 10 customers per call. * Limit of 3 concurrent requests **Notes** * Attributes Values can not be updated using Update a Customer. Use the [Update customer attribute values](/developer/api-reference/rest/admin/management/customers/v3/attribute-values/upsert-customers-attribute-values) endpoint. * channel_ids -- Updating the list of channels a customer can access may create some side effects in a multi-storefront situation. This list determines which customer account we will use to authenticate a shopper given a channel. * origin_channel_id -- This is an immutable value set as a reference to the channel of origin when a customer is created.
Was this page helpful?
Previous

Create Customers

Next

Delete Customers

Built with

Updates Customers. Subresource updates are not supported.

Required Fields

  • id — ID of the Customer This must be included in the request body

Read Only Fields

  • id
  • registration_ip_address
  • date_created
  • date_modified
  • origin_channel_id

Limits

  • Limit of 10 customers per call.
  • Limit of 3 concurrent requests

Notes

  • Attributes Values can not be updated using Update a Customer. Use the Update customer attribute values endpoint.
  • channel_ids — Updating the list of channels a customer can access may create some side effects in a multi-storefront situation. This list determines which customer account we will use to authenticate a shopper given a channel.
  • origin_channel_id — This is an immutable value set as a reference to the channel of origin when a customer is created.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | | Stored Payment Instruments | modify | `store_stored_payment_instruments` | | Stored Payment Instruments | read-only | `store_stored_payment_instruments_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
idintegerRequired
The unique numeric ID of the customer.
emailstringOptional3-255 characters
The email of the customer. Must be unique.
first_namestringOptional1-100 characters
The first name of the customer.
last_namestringOptional1-100 characters
The last name of the customer.
companystringOptional0-255 characters
The company of the customer.
phonestringOptional0-50 characters
The phone number of the customer.
registration_ip_addressstringOptional0-30 characters
The IP address from which this customer was registered.
notesstringOptional
The customer notes.
tax_exempt_categorystringOptional0-255 characters
The tax exempt category code for the customer.
customer_group_idintegerOptional
ID of the group which this customer belongs to.
authenticationobjectOptional
accepts_product_review_abandoned_cart_emailsbooleanOptional
It determines if the customer is signed up to receive either product review or abandoned cart emails or receive both emails.
store_credit_amountslist of objectsOptional
Store credit.
origin_channel_idintegerOptional
Channel ID of the customer that has created the form.
channel_idslist of integersOptional
Arrays of channels the customer can access.
form_fieldslist of objectsOptional
Array of form fields. Controlled by formfields parameter.

Response

Customer Collection Response
datalist of objects
metaobject
Response metadata.

Errors

413
Content Too Large Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.